# Phone Number Types Phone Number Types ## Gets all of the phone number types in the system. - [GET /phoneNumberTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/phone-number-types/listphonenumbertypes.md): This method will scan all phone number types and and return them to the caller. ## Creates a new phone number type record that does not already exist. - [POST /phoneNumberTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/phone-number-types/createphonenumbertype.md): This method will auto-generate an ID and create a new phone number type. If an ID is specified for the phone number type, an error will be thrown. ## Returns a phone number type from the system by its ID. - [DELETE /phoneNumberTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/phone-number-types/deletephonenumbertype.md): This method will delete a phone number type with the specified ID. ## Returns a phone number type from the system by its ID. - [GET /phoneNumberTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/phone-number-types/getphonenumbertype.md): This method will look up a phone number type by the specified ID and return it back. ## Partially updates a phone number type with the specified ID. - [PATCH /phoneNumberTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/phone-number-types/patchphonenumbertype.md): This method will patch an existing phone number type with the specified ID, using the HTTP PATCH specification. ## Updates a phone number type with the specified ID. - [PUT /phoneNumberTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/phone-number-types/updatephonenumbertype.md): This method will update an existing phone number type with the specified ID.